#
# spec file for package perl-Sub-Install
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sub-Install
Version:        0.928
Release:        1.24
%define cpan_name Sub-Install
Summary:        Install subroutines into packages easily
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sub-Install/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
This module makes it easy to install subroutines into packages without the
unsightly mess of 'no strict' or typeglobs lying about where just anyone
can see them.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.928
  - cope with subroutines with spaces in their names when catching
    warnings
  - don't assume that the source sub isn't blessed in tests (!)
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.927
  rebuild using Dist::Zilla, update links to repo, metadata, etc.
  typo fixes, thanks David Steinbrunner
* Tue Feb 28 2012 coolo@suse.com
- updated to 0.926
  cope with terminal dots from new Carp
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr 11 2010 chris@computersalat.de
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o fix HEADER
  o removed useless comments
  o update License, Url
  o fix perl-macros deps
  o update description
  o macro usage
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- initial package 0.925
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
